_base=fenicsxprecice
pkgname=python-${_base}-git
pkgdesc="preCICE adapter for the open source computing platform FEniCSx"
pkgver=r201.8b94213
pkgrel=1
arch=(x86_64)
url="https://github.com/precice/${_base/precice/-adapter}"
license=(LGPL3)
depends=(python-pyprecice python-fenics-dolfinx) # python-scipy # python-numpy
makedepends=(python-setuptools git)
source=(git+${url}.git#branch=develop)
sha512sums=('SKIP')

pkgver() {
  cd ${_base/precice/-adapter}
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
  # if [ -z "$(ldconfig -p | grep libcuda.so.1)" ]; then
  #   export OMPI_MCA_opal_warn_on_missing_libcuda=0
  # fi
  # source /etc/profile.d/petsc.sh
  cd ${_base/precice/-adapter}
  python setup.py build
}

# check() {
#   cd ${_base/precice/-adapter}
# }

package() {
  cd ${_base/precice/-adapter}
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
